summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorArthur Heymans <arthur@aheymans.xyz>2016-05-19 11:37:56 (EDT)
committer Leah Woods <info@minifree.org>2016-05-19 17:37:04 (EDT)
commitc32d7dd2d1987d4839520918e1f8ff21050b53dd (patch)
tree21d1d7c1f7d5c5a0fb17690c4f63c6e9a2c05f1c
parent74628ec0f0339208e2732d43354785c3f7ba245c (diff)
downloadlibreboot-c32d7dd2d1987d4839520918e1f8ff21050b53dd.zip
libreboot-c32d7dd2d1987d4839520918e1f8ff21050b53dd.tar.gz
libreboot-c32d7dd2d1987d4839520918e1f8ff21050b53dd.tar.bz2
Typo fix, now build dependencies parabola works
-rwxr-xr-xresources/scripts/helpers/build/dependencies/parabola6
1 files changed, 3 insertions, 3 deletions
diff --git a/resources/scripts/helpers/build/dependencies/parabola b/resources/scripts/helpers/build/dependencies/parabola
index 71c0698..3de24ca 100755
--- a/resources/scripts/helpers/build/dependencies/parabola
+++ b/resources/scripts/helpers/build/dependencies/parabola
@@ -61,9 +61,9 @@ pacman -S --needed libpciaccess
arch=${?}
# For cross-compiling i686 target on x86_64 host.
-if ["${arch}" -eq 0 ]; then
+if [ "${arch}" -eq 0 ]; then
printf "Cross-Compiling: You are running on 64-bit architecture, however 32-bit libraries are needed\n"
- pacman -Sl multilib 1&>/dev/null || (printf "You must enable the multilib repository in /etc/pacman.conf first\n"; exit 1)
+ pacman -Sl multilib &>/dev/null || (printf "You must enable the multilib repository in /etc/pacman.conf first\n"; exit 1)
pacman -S --needed gcc-multilib gcc-libs-multilib lib32-libltdl lib32-libpciaccess lib32-libstdc++5 lib32-glibc lib32-fakeroot
fi
@@ -85,7 +85,7 @@ pacman -S ncurses doxygen iasl gdb flex bison
# pacman -S git base-devel
# For cross-compiling i686 target on x86_64 host.
-if ["${arch}" -eq 0 ]; then
+if [ "${arch}" -eq 0 ]; then
printf "Cross-Compiling: You are running on 64-bit architecture, however 32-bit libraries are needed\n"
pacman -S --needed lib32-ncurses
fi